AWS
probe IAM

# get_policy

Get a policy by its ARN

Run it now
View details

Type | probe
Module | chaosaws.iam.probes
Name | get_policy
Return | boolean

Usage

JSON

    {
      "name": "get-policy",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.iam.probes",
        "func": "get_policy",
        "arguments": {
          "arn": ""
        }
      }
    }

YAML

    name: get-policy
    provider:
      arguments:
        arn: ""
      func: get_policy
      module: chaosaws.iam.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
arn | string |  | Yes | Policy ARN |

Signature

    def get_policy(arn: str,
                   configuration: Dict[str, Dict[str, str]] = None,
                   secrets: Dict[str, Dict[str, str]] = None) -> bool:
        pass

## Related starters

- AWS
  action IAM

  ## `attach_role_policy`

  Attach a role to a policy
- AWS
  action IAM

  ## `create_policy`

  Create a new IAM policy
- AWS
  action IAM

  ## `detach_role_policy`

  Detach a role from a policy